<p>
  U digitalnim sklopovima, tranzistori se koriste kao implementacije upravljivih sklopki. Stoga
  ćemo se najprije upoznati s tim konceptom. Pogledajte sliku u nastavku.
</p>

<figure class="mlFigure">
<img src="@#file#(upravljiva-sklopka.png)" alt="Upravljiva sklopka: model." width="148" height="153"><br>
<figcaption><span class="mlFigKey">Slika 1.</span> Model upravljive sklopke.</figcaption>
</figure>

<p>
  Na slici je prikazan model upravljive sklopke: sklopka koja ovisno o tome je li uključena ili
  nije predstavlja kratki spoj ili beskonačan otpor između kontakata koje smo označili s 
  <i>A</i> i <i>B</i>. Ovakvu sklopku zovemo upravljivom jer stanjem sklopke (je li uključena ili
  nije) upravljamo nekom električkom veličinom na upravljačkom ulazu koji je označen s <i>C</i>.
</p>

<p>
  Kako bi ovakva sklopka trebala raditi, možemo zamisliti na mnoštvo različitih načina. Pogledajmo 
  stoga jedan mogući scenarij koji ilustrira kako bismo htjeli da se ovakva sklopka ponaša: primjer 
  je prikazan na slici u nastavku.
</p>

<figure class="mlFigure">
<img src="@#file#(upravljiva-sklopka-stanja.png)" alt="Upravljiva sklopka: stanja." width="438" height="183"><br>
<figcaption><span class="mlFigKey">Slika 2.</span> Dva diskretna stanja upravljive sklopke.</figcaption>
</figure>

<p>
  Kod ovakve sklopke zamislili smo da se upravlja naponom koji vlada između kontakta <i>C</i> i
  kontakta <i>B</i>. Ako je taj napon (označit ćemo ga s <i>U<sub>cb</sub></i>) nizak (recimo oko 0V),
  tada želimo da sklopka bude isključena. U tom stanju otpor između kontakata <i>A</i> i <i>B</i> mora
  biti beskonačan (ili barem jako jako velik). Ovaj scenarij prikazan je na <b>a)</b> dijelu slike 2.
</p>

<p>
  Da bismo sklopku uključili, zahtjevamo da napon koji vlada između kontakta <i>C</i> i
  kontakta <i>B</i> mora biti visok (naravno, moramo oprezno s pojmom "visok" - kod digitalnih sklopova
  često ćemo napone iznosa 5V - a ponekad i bitno manje - smatrati visokim naponima). Takav 
  scenarij prikazan je na <b>b)</b> dijelu slike 2 gdje je napon <i>U<sub>cb</sub></i>=5V pa je sklopka
  uključena. U ovom stanju između kontakata <i>A</i> i <i>B</i> bit će kratak spoj (ili barem jako jako
  mali otpor) pa će pad napona na toj sklopki (<i>U<sub>ab</sub></i>) biti 0V ili približno 0V.
</p>

<p>
  Upravo opisano ponašanje je nešto što bismo htjeli imati. Pitanje je, naravno, kako to ostvariti
  elektroničkim komponentama. Prethodne sličice koncept ilustriraju koristeći analogiju s
  mehaničkim sklopkama - tako postoje dva kontakta (<i>A</i> i <i>B</i>) i između njih komad metala koji
  može rotirati oko jednog kraja pa uspostaviti kratki spoj ili ga raskinuti. Doslovnu mehaničku implementaciju
  ovakvog koncepta predstavljaju releji. U digitalnim sklopovima nećemo koristiti mehaničke elemente i to iz 
  više razloga: takvi elementi su nepouzdani i još važnije, podložni su vrlo "nezgodnim" zakonima 
  fizike koji im ograničavaju brzinu rada na vrlo nisku.
</p>

<p>
  Elektroničke komponente koje možemo koristiti za ostvarivanje upravljivih sklopki su tranzistori.
  Postoje različite vrste tranzistora i svaka od njih ima svoja ograničenja odnosno "nesavršenosti"
  zbog kojih se ne mogu približiti idealnoj upravljivoj sklopci &#8212; no mogu raditi dovoljno dobro. 
  U okviru ovog materijala ukratko ćemo pojasniti kako radi bipolarni NPN tranzistor te 
  n-kanalni MOSFET - u oba slučaja dat ćemo pojednostavljeni opis koji će biti dovoljan da
  bismo razumjeli kako se tim elementima ostvaruju upravljive sklopke. Puno detaljniji prikaz izvedbe 
  ovih elemenata kao i način njihova rada moći ćete dobiti na drugim kolegiju FER-a.
</p>
